function [ dat ] = readFreqHist( file, bins, opt )
%% readFreqHist( file, bins, opt )
%
% * Parameters
%   * file
%   * bins : number of bins
%
%  * Returns
%   * hist
%
%
% V1.0 mawolff@uos.de 05-Jun-2019
 
%% pseudocode
 
 
%% input handling
if( nargin < 3 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code
 
fid = fopen( file );
if( fid == - 1)
    warning(['file ' file ' could not be opened']);
    dat = NaN;
    return;
end
dat = fread( fid, inf, 'int' );
fclose( fid );

dat = reshape( dat, bins, numel(dat)/bins);

return;
 
end
 
 
function [ opt ] = readOptions( opt )
 % AUTO-GENERATED option handling
 if( ~isfield( opt, 'f') )
    opt.f = 0;
 end
end
