function [ ] = viewAllTgridnode( tInZ, surfs, opt )
%% viewAllTgridnode( opt )
%
% * Parameters
%   * 
%
%  * Returns
%   * 
%
%
% V1.0 mawolff@uos.de 09-Nov-2020
 
%% pseudocode
 
 
%% input handling
if( nargin < 3 ) 
   opt = struct(); 
end

opt = readOptions( opt );
 
if( nargin < 2 )
    xn = size( tInZ{1,1}, 2);
    yn = size( tInZ{1,1}, 1);
    x0 = opt.x0;
    xe = opt.xe;
    y0 = opt.y0;
    ye = opt.ye;
    xs = (xe-x0)/(xn-1);    % (xn-1) so x0 is not one step
    ys = (ye-y0)/(yn-1);
    [X, Y] = meshgrid( x0:xs:xe, y0:ys:ye );
    surfs = cell(1,1);
    surfs{1,1} = struct();
    surfs{1,1}.x = X;
    surfs{1,1}.y = Y;
end
 
 
%% code
N = size( tInZ, 1);

o.f = figure;
o.xy = [3 3];
for i = 1:N
    o = subplotArray( i, o );
    s = surf( surfs{1,1}.x, surfs{1,1}.y, tInZ{i,1}, 'edgealpha', 0 );
    view( [0, 90] );
    set( gca, 'xlim', [-1 1]*pi, 'ylim', [-1 1]*2*pi );
end
 
 
end
 
 
function [ opt ] = readOptions( opt )
 
 if( ~isfield( opt, 'x0') )
    opt.x0 = -3.1;
 end
 if( ~isfield( opt, 'y0') )
    opt.y0 = -6.2;
 end
 if( ~isfield( opt, 'xe') )
    opt.xe = 3.1;
 end
 if( ~isfield( opt, 'ye') )
    opt.ye = 6.2;
 end
 
end
