/*
 * Function.h
 *
 *  Created on: Dec 3, 2015
 *      Author: mawolff
 */

#ifndef FUNCTION_H_
#define FUNCTION_H_

//#include "Param.h"
#include "PowerGrid.h"

#include "MersenneTwister.h"

#include <stdlib.h>
#include <vector>

class Function{

protected:
	Param* params;
	PowerGrid* pg;
	MTRand mt;

public:
	Function(Param* p, PowerGrid* pg);

	double secDeriv(int i, double* om, double* th);


	double timeNoise(double t);
	double D1(double P);
	double D2(double P);
	double dRand(double min, double max);
	double dRandNormal(double mu, double sig);

	void showParameters();
	void consoleK(void);
	double drawPoissonJumpTime();
	double drawTelegJumpTime(double r);
	double langevinIntegration(int i);
	double poissonProcess();
	double telegProcess();

};



#endif /* FUNCTION_H_ */
