/*
 * Node.cpp
 *
 *  Created on: Feb 22, 2019
 *      Author: mawolff
 */

#include "Node.h"

// =================================== variables =================================== //
short Node::GENERATOR 	= 0;
short Node::LOAD 		= 1;
short Node::SYNC_COND 	= 2;
short Node::UNKNOWN 	= 255;

// =========================== constructors & destructors ========================== //
Node::Node(int i) {
	num = i;
	type = UNKNOWN;
	powerMech = 0;
	powerMechInit = 0;
	powerDiag = 0;
	damping = 0;
	inertia = 0;
	inertiaInv = 0;
	voltPhase = 0;
	voltPhaseSS = 0;
	voltMagSS = 0;


}

/**
 * There are currently no fields to be deleted
 */
Node::~Node() {

}

// ==================================== methods ==================================== //
double Node::getInertia() const {
	return inertia;
}

void Node::setInertia(double inertia) {
	this->inertia = inertia;
}

double Node::getInertiaInv() const {
	return inertiaInv;
}

void Node::setInertiaInv(double inertiaInv) {
	this->inertiaInv = inertiaInv;
}

int Node::getNum() const {
	return num;
}

void Node::setNum(int num) {
	this->num = num;
}

double Node::getPowerDiag() const {
	return powerDiag;
}

void Node::setPowerDiag(double powerDiag) {
	this->powerDiag = powerDiag;
}

double Node::getPowerMech() const {
	return powerMech;
}

void Node::setPowerMech(double powerMech) {
	this->powerMech = powerMech;
}

double Node::getPowerMechInit() const {
	return powerMechInit;
}

void Node::setPowerMechInit(double powerMechInit) {
	this->powerMechInit = powerMechInit;
}

double Node::getVoltMagSs() const {
	return voltMagSS;
}

void Node::setVoltMagSs(double voltMagSs) {
	voltMagSS = voltMagSs;
}

double Node::getVoltPhaseSs() const {
	return voltPhaseSS;
}

double Node::getDamping() const {
	return damping;
}

void Node::setDamping(double damping) {
	this->damping = damping;
}

void Node::setVoltPhaseSs(double voltPhaseSs) {
	voltPhaseSS = voltPhaseSs;
}

double Node::getVoltPhase() const {
	return voltPhase;
}

const short Node::getType() const {
	return type;
}

void Node::setType(const short type) {
	this->type = type;
}

void Node::setVoltPhase(double voltPhase) {
	this->voltPhase = voltPhase;
}

bool Node::isGen(){
	return this->type - Node::GENERATOR == 0;
}
