/*
 * Node.h
 *
 *  Created on: Feb 22, 2019
 *      Author: mawolff
 */

#ifndef NODE_H_
#define NODE_H_

//#include <string>

class Node {
// =================================== variables =================================== //
public:
	// why const impossible? look it up
	static short GENERATOR; 	// string to indicate that this node is a generator
	static short LOAD; 			// load
	static short SYNC_COND;		// or synchronous condenser
	static short UNKNOWN;		// unknown if nothing given

private:
	int num;					// indicates the number of the node in a grid

	short type;			// indicates the function in the grid (generator,load,...)

	double powerMechInit;		// mechanical power initially (as read from file)
								// injected to or ejected by this node (e.g. in steady state)
	double powerMech;			// mechanical power currently injected to or ejected by this node
	double powerDiag;			// diagonal loss terms for power at this node
	double damping;				// damping ration of this node (primary control)
	double inertia;				// inertia of the rotating mass at this node
	double inertiaInv;			// inverse of inertia to save calculation steps
	double voltPhaseSS;			// voltage phase in steady state
	double voltPhase;			// current voltage phase
	double voltMagSS;			// voltage magnitude in steady state


// =========================== constructors & destructors ========================== //
public:
	Node(int i);
	virtual ~Node();
// ==================================== methods ==================================== //


// ------------------------------------ get&set ------------------------------------ //
	double getInertia() const;
	void setInertia(double inertia);
	double getInertiaInv() const;
	void setInertiaInv(double inertiaInv);
	int getNum() const;
	void setNum(int num);
	double getPowerDiag() const;
	void setPowerDiag(double powerDiag);
	double getPowerMech() const;
	void setPowerMech(double powerMech);
	double getPowerMechInit() const;
	void setPowerMechInit(double powerMechInit);
	double getVoltMagSs() const;
	void setVoltMagSs(double voltMagSs);
	double getVoltPhaseSs() const;
	void setVoltPhaseSs(double voltPhaseSs);
	double getDamping() const;
	void setDamping(double damping);
	double getVoltPhase() const;
	void setVoltPhase(double voltPhase);
	const short getType() const;
	void setType(const short type);

	bool isGen();
};

#endif /* NODE_H_ */

// =================================== variables =================================== //
// =========================== constructors & destructors ========================== //
// ==================================== methods ==================================== //
// --------------------------------- array methods --------------------------------- //
// ------------------------------- directory methods ------------------------------- //
// ------------------------------------ get&set ------------------------------------ //
