/*
 * RandomList.cpp
 *
 *  Created on: Mar 4, 2016
 *      Author: mawolff
 */

#include "RandomList.h"
#include <stdlib.h>	// rand() RAND_MAX
#include <time.h>
#include <iostream>

//using namespace std;

	/**
	 * Constructs the random list with entries 1 to l ordered (start = 1). Use RandomList(l, start) for
	 * a list start to (start + l - 1) and .shuffle() to shuffle the entries
	 */
	RandomList::RandomList(int l){
		len = l;
		start = 1;
		list = new int[1];
		init();

	}

	RandomList::RandomList(int l, int s){
		len = l;
		start = s;
		list = new int[1];
		init();
	}

	void RandomList::setL(int l){
		len = l;
	}

	int RandomList::getL(){
		return len;
	}

	void RandomList::setStart(int s){
		start = s;
	}

	int RandomList::getStart(){
		return start;
	}

	/**
	 * Initializes the list with number 1 to L in order. Use shuffle() to randomize the list.
	 */
	void RandomList::init(){
		target = 0;
		if(sizeof(list) > 0){	// todo laenge einer leeren list = 0 oder 4 (ein pointer?)
			delete[] list;
		}
		list = new int[len];
		for( int i = 0; i < len; i++){
			list[i] = (i+start);
		}
	}

	int RandomList::randInt(int low, int high){
		srand(time(NULL));
		double d  = (double)rand()/ RAND_MAX;
		int r = (int)( (high-low+1)*d ) + low;	// d+1 so that there are d pots for the int "to fall in"
		return r;
	}

	/**
	 * Make sure that init() is called at least once before this! Normally the constructor will call init() too.
	 */
	void RandomList::shuffle(){
		int r, t;
		for( uint i = 0; i < len; i ++){
			r = randInt(0,len-1);
			t = list[i];
			list[i] = list[r];
			list[r] = t;
		}
	}

	void RandomList::reset(){
		target = 0;
	}

	/**
	 *	Returns the next number from the list. It will return -1 if the number of calls exceeds the lists length.
	 */
	int RandomList::getNext(){
		if (target >= len)
			return -1;
		int r = list[target];
		target ++;
		return r;
	}

