/*
 * RungeKutta.h
 *
 *  Created on: Dec 3, 2015
 *      Author: mawolff
 */

#ifndef RUNGEKUTTA_H_
#define RUNGEKUTTA_H_

#include "Function.h"
#include "CodeUtils.h"

class RungeKutta{
// =================================== variables =================================== //
private:
	int veclen;
	double* k1o;
	double* k2o;
	double* k3o;
	double* k4o;
	double* k1t;
	double* k2t;
	double* k3t;
	double* k4t;
	double* addveco;
	double* addvect;
	Function* func;

// =========================== constructors & destructors ========================== //
public:
	RungeKutta(int num, Function* f);
	~RungeKutta();

// ==================================== methods ==================================== //
	void rk4(double xstep, double* omstart, double* thstart, double* yomres, double* thres);
	double  valThAt(int i, double* om, double* th);
	double  valOmAt(int i, double* om, double* th);


//	void setK(std::vector<std::vector<Param::linkline>> newk);
//	void propagateP(int node);
//	void propagateP(int node, int tstep);

};




#endif /* RUNGEKUTTA_H_ */

// =================================== variables =================================== //
// =========================== constructors & destructors ========================== //
// ==================================== methods ==================================== //
