function [ R ] = PCC( x, y, opt )
%% PCC( opt )
% Calculates the pearson correlation coefficient of a given sample
% represented by the x and y data.
%
% * Parameters
%   * x : the x data 
%   * y : the corresponding y data
%   * opt : options, non yet
%
%  * Returns
%   * R : the pearson correlation coefficient
%
%
% V1.0 mawolff@uos.de 30-Apr-2018
 
%% pseudocode
 
 
%% input handling
if( nargin < 3 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code
 
R = sum( (x-mean(x)).*(y-mean(y)) ) ./ ...
    sqrt( sum( (x-mean(x)).^2) .* sum( (y-mean(y)).^2 ) );
 
return;

end
 
 
function [ opt ] = readOptions( opt )
 % AUTO-GENERATED option handling
 if( ~isfield( opt, 'f') )
    opt.f = 0;
 end
end
