function [ tb ] = axLabelExp( ax, xponent, opt )
%% axLabelExp( opt )
%
% * Parameters
%   * ax
%   * exp
%   * opt
%       * opt.dir = 'y'; % the axis direction for the change
%
%  * Returns
%   * tb : the x 10^exp textbox handle
%
%
% V1.0 mawolff@uos.de 13-Sep-2019
 
%% pseudocode
 
 
%% input handling
if( nargin < 3 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code

if( strcmpi( opt.dir, 'y' ) )
    ax.YAxis.Exponent = xponent;
    axpos = get( ax, 'position' );
    axfs = get( ax, 'FontSize' );
    axfn = get( ax, 'FontName' );
    tb = tbox( [axpos(1)+0.0*axpos(3) axpos(2)+axpos(4)*1.05 ...
        0.1 0.1], ['$\times 10^{' num2str(xponent) '}$'], axfs );
    set( tb, 'fontname', axfn,...
        'horizontalAlignment', 'left', ...
        'interpreter', 'latex');
end

return;
 
end
 
 
function [ opt ] = readOptions( opt )
 
 if( ~isfield( opt, 'dir') )
    opt.dir = 'y';
 end
 
end
