function [ figsize ] = dissFigSize( format, opt )
%% dissFigSize( format, opt )
% returns a figure size unified for the dissertation thesis
%
%
% * Parameters
%   * format : 'fr' : full width rectangle: 1200 x  600 pixel
%   *          'hr' : half width rectangle:  600 x  300 pixel
%   *          'fs' : full width square:     900 x  900 pixel
%   *          'hs' : half width square:     600 x  600 pixel
%
%  * Returns
%   * 
%
%
% V1.0 mawolff@uos.de 06-Sep-2019
 
%% pseudocode
 
 
%% input handling
if( nargin < 2 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code
switch( format )
    case 'fr'
        figsize = [1200 600];
    case 'hr'
        figsize = [600 300];
    case 'fs'
        figsize = [1000 900];
    case 'hs'
        figsize = [700 600];
    otherwise
        error('unknown format');
end
return;
 
end
 
 
function [ opt ] = readOptions( opt )
 % AUTO-GENERATED option handling
 if( ~isfield( opt, 'f') )
    opt.f = 0;
 end
end
