function [ xl ] = dissXLabel( txt, format, opt )
%% dissXLabel( txt, format, opt )
%
% creates a x-label for current axis or axis given in opt matching the
% fontsize to the geometry
%
% * Parameters
%   * format : 'fr' : full width rectangle
%              'hr' : halft width rectangle
%              'fs'   : full width square
%              'hs'   : half width square
%   * opt : 
%       * opt.ax = gca; the axis
%
%  * Returns
%   * 
%
%
% V1.0 mawolff@uos.de 06-Sep-2019
 
%% pseudocode
 
 
%% input handling
if( nargin < 3 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code

FS = dissFS(format);

axis( opt.ax );
 xl = xlabel(txt, ...
     'interpreter', 'latex', ...
     'fontsize', FS);
 
end
 
 
function [ opt ] = readOptions( opt )
 
 if( ~isfield( opt, 'ax') )
    opt.ax = gca;
 end
end
