function [ yl ] = dissYLabel( txt, format, opt )
%% dissYLabel( txt, format, opt )
%
% creates a x-label for current axis or axis given in opt matching the
% fontsize to the geometry
%
% * Parameters
%   * format : 'fr' : full width rectangle
%              'hr' : halft width rectangle
%              'fs'   : full width square
%              'hs'   : half width square
%   * opt : 
%       * opt.ax = gca; the axis
%
%  * Returns
%   * 
%
%
% V1.0 mawolff@uos.de 06-Sep-2019
 
%% pseudocode
 
 
%% input handling
if( nargin < 3 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code

switch( format )
    case 'fr'
        FS = 18;
    case 'hr'
        FS = 20;
    case 'fs'
        FS = 18;    % not tested
    case 'hs'
        FS = 20;    % not tested
    otherwise
        error('unknown format');
end

axis( opt.ax );
 yl = ylabel(txt, ...
     'interpreter', 'latex', ...
     'fontsize', FS);
 
end
 
 
function [ opt ] = readOptions( opt )
 
 if( ~isfield( opt, 'ax') )
    opt.ax = gca;
 end
end
