function [ yft ] = dots2Line( x, y, t, opt )
%% y(t) = dots2Line( x, y, t, opt )
% y_fcn = dots2Line( x, y, opt )
%
% determines a line function from two given points/dots
% if a value t is given, at which the function shall be evaluated, this 
% method returns the corresponding result
% otherwise the function itself is returned as
% yf = @(t) (y_2 - y_1)/(x_2 - x_1) (t - x_2) + y_2
%
% * Parameters
%   * x : x-values [x_1 x_2]
%   * y : y-values [y_1 y_2]
%   * (t) : the position to evaluate the line function
%
%  * Returns
%   * 
%
%
% V1.0 mawolff@uos.de 17-Jun-2020
 
%% pseudocode
 
 
%% input handling

yft = @(t) (y(2) - y(1))/(x(2) - x(1)) * (t - x(2)) + y(2);
if( nargin < 3 )
    return;
end
if( nargin < 4 ) 
   opt.f = 0; 
end
if( nargin == 3 && isstruct(t) )
%     opt = readOptions( t );
    return;
end
 
 opt = readOptions( opt );
 
%% code
 
yft = yft(t);
return;
 
end
 
 
function [ opt ] = readOptions( opt )
 % AUTO-GENERATED option handling
 if( ~isfield( opt, 'f') )
    opt.f = 0;
 end
end
