function [xg, yg ] = editGdots( xg, yg, p, opt )
%% editGdots( xg, yg, p, opt )
% change the position of nodes in a (graph) plot by click and drag.
%
% * Parameters
%   * xg : x-coordinates of the grid to edit
%   * yg : y-coordinates of the grid to edit
%   * p  : plot handle of the grid to edit
%   * opt : option struct (maybe later)
%
%  * Returns
%   * xg, yg
%
%
% V1.0 mawolff@uos.de 24-Jan-2018
 
%% pseudocode
 

%% input handling
if( nargin < 4 )
    opt.f = 0;
end

opt = readOptions( opt );
ax = p.Parent;

%% code

change = true;
while( change)
    
    [change,x,y] = getPtsInPlot( ax );
    if( ~change)
        break;
    end
    x = x*ones(1,numel(xg));
    y = y*ones(1,numel(yg));
    d = sqrt( (xg-x).^2 + (yg-y).^2);
    [~,node ] = min(d);
    [xn,yn] = ginput(1);
    xg(node) = xn;
    yg(node) = yn;
    p.XData = xg;
    p.YData = yg;
end
return;

end


function [ opt ] = readOptions( opt )
 % AUTO-GENERATED option handling
 if( ~isfield( opt, 'f') )
    opt.f = 0;
 end
end

% * opt.ax = gca; specify axis in which the plot is located