function [range] = findRange(xa, xe, xdat)
%% findRange( xa, xe, xdat )
% Finds the indices corresponding to the start and end values in the data vector
% * Parameters:
%   * xa : the first value of the interval
%   * xe : the last value of the interval
%   * dat : the data vector
% * Returns
%   * range: the indices that are corresponding to the values xa and xe as 
%		vector xa:xe
%
% V1.01 mawolff@uos.de 10-Feb-2017

%% code
indA = find(xdat >= xa, 1, 'first');
indE = find(xdat >= xe, 1, 'first');
range = indA:indE;
%p = plot(xdat(range), ydat(range));

return;
end
