function [tmax, limc ] = getAllMaxRT( surfs, opt )
%% [tmean, limc] = getAllMaxRT( surfs, opt )
%
% * Parameters
%   * surfs : cell vector containing return time surfaces (either grid or
%               node return times)
%               Hint: not full surface Matrix(!)
%   * opt   : option struct; it is passed to getMaxRT (see corresp.
%               documentation)
%
%  * Returns
%   * tmax  : double vector with max return times for each surface
%   * limc  : bool vector indicating if each surface contained limit cycles
%               (inf return times that were not included in the
%               determination of tmean)
%
%
% V1.0 mawolff@uos.de 24-Jun-2020
 
%% pseudocode
 
 
%% input handling
if( nargin < 2 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code
N = numel(surfs);
tmax = zeros(N,1);
limc = false(N,1);
for i = 1:N
    [tmax(i), limc(i)] = getMaxRT( surfs{i}, opt );
end

return;
 
end
 
 
function [ opt ] = readOptions( opt )
 % AUTO-GENERATED option handling
 if( ~isfield( opt, 'f') )
    opt.f = 0;
 end
end
