function [rgb] = lightToDarkBlueGradient(step, maxStep)
%% 
% returns the [r g b] vector for a step of an calculation in which the
% first result should be ploted lightblue and the last darkblue. 
% Parameters: 
% step: the current step of the calculation
% maxStep: the last step of the calculation. For scaling the rgb.
% Returns:
% rgb: [red green blue]
%
% V1.0 mawolff@uos.de 9-Feb-2017

%%
x = step/maxStep;
hell = 0.95;
red = -hell*x+hell;
green = -hell*x+hell;
blue = -0.5*x+1;
rgb = [red green blue];
return;

end
