function [ lines ] = remDLines( lines, opt )
%% remDLines( opt )
% removes lines occuring twice (row with same "from" and "to" end) in the
% given vector (Nx2 matrix). HINT: removes the WHOLE row. (if there are
% more than 2)
%
% * Parameters
%   * lines : NxM matrix with M >= 2. The columns opt.from and opt.to are
%           storing the from and to end of the line.
%   * opt  : option struct:
%       * opt.from = 1; from end of the lines
%       * opt.to   = 2; to end of the lines
%       * opt.print = false; print out which lines are removed
%
%  * Returns
%   * lines : matrix without doubled entries
%
%
% V1.0 mawolff@uos.de 24-Jan-2018
 
%% pseudocode
 
 
%% input handling
if( nargin < 2 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code
i = size(lines,1);
while( i > 1 )                      % for all lines not yet removed
    fc = lines(i,opt.from);         % store current i-th from end
    tc = lines(i,opt.to);           % store current j-th from end
    for j = (i-1):-1:1              % for all lines not compared with current yet
        if( lines(j,opt.from) == fc ...     % if investigated j line as same
                && lines(j,opt.to) == tc )  % from and to as i line
            if(opt.print)                   % if removed line should be printed
                disp('remove line');        % print it before it is removed
                fprintf( '%1d %1d\n',lines(j,opt.from),...
                    lines(j,opt.to));
            end
            lines(j,:) = [];                % remove it
            i = i - 1;                      % one line less to analyse
        end
    end
    i = i - 1;                              % next line
end
 
end
 
 
function [ opt ] = readOptions( opt )

 if( ~isfield( opt, 'print') )
     opt.print = false;
 end
 if( ~isfield( opt, 'from') )
     opt.from = 1;
 end
 if( ~isfield( opt, 'to') )
     opt.to = 2;
 end
end
