function [ tser, tf ] = timeseriesFromFreq( omega, persin, steps, opt )
%% timeseriesFromFreq( opt )
%
% * Parameters
%   * omega : the angular frequency
%   * pers  : the number of oscillation periods within the timeseries
%   * steps : (optional) number of steps
%   * opt (nothing yet)
%
%  * Returns
%   * tser  : the time series as input in units of 2pi
%   * tf    : time series of real seconds
%
%
% V1.0 mawolff@uos.de 28-Apr-2020
 
%% pseudocode
 
 
%% input handling
if( nargin < 3 )
    steps = 100;
end
if( nargin < 4 ) 
   opt.f = 0; 
end
 
 opt = readOptions( opt );
 
%% code

if( numel(persin) == 2 ) 
    t0 = persin(1) *2*pi/omega;
    pers = persin(2);
else
    t0 = 0;
    pers = persin(1);
end
te = (pers* 2*pi/omega);
tser = t0:((te-t0)/steps):te;
tf = tser/(2*pi);
return;
 
 
end
 
 
function [ opt ] = readOptions( opt )
 % AUTO-GENERATED option handling
 if( ~isfield( opt, 'f') )
    opt.f = 0;
 end
end
