function [rgb] = vioredToGreenGradient(step, maxStep)
%% 
% returns the [r g b] vector for a step of an calculation in which the
% first result should be ploted red and the last green. At 1/2 the plot is
% yellow
% Parameters: 
% step: the current step of the calculation
% maxStep: the last step of the calculation. For scaling the rgb.
% Returns:
% rgb: [red green blue]
%
% V1.0 mawolff@uos.de 9-Feb-2017

%%
x = step/maxStep;
if( size(x,2) > 1 )
    x = x';
end

og = 1; ug = 0;
a = [0 1/4]; b = [3/4 1]; c = [1/4 1/2]; d = [1/2 3/4];
m = a + (b-a)./2;
peak = 1.5;
% Ueberpruefung: og = (og-ug)/(c-a)*(c-m) + peak

rg = peak - [abs( (og-ug)./(c(1)-a(1)) .*(x-m(1)) ) ...
    abs( (og-ug)./(c(2)-a(2)) .*(x-m(2)) )];
rg = min ( rg, og);
rg = max( rg, ug );
% redold = min([1 -2*x+2]);
% green = min([1 2*x]);
rgb = [rg(:,1) rg(:,2) max(1-4*x,0)];
return;

end
